# Interface VAA<PL>

#### Type Parameters

- #### PL extends PayloadLiteral = PayloadLiteral

#### Hierarchy

- VAABase
  - VAA

- Defined in core/definitions/dist/esm/vaa/vaa.d.ts:129

#####
Index

### Properties

consistencyLevel
emitterAddress
emitterChain
guardianSet
hash
nonce
payload
payloadLiteral
payloadName
protocolName
sequence
signatures
timestamp

## Properties

### consistencyLevel

consistencyLevel: number

Inherited from VAABase.consistencyLevel

### emitterAddress

emitterAddress: UniversalAddress

Inherited from VAABase.emitterAddress

### emitterChain

emitterChain: "Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky"

Inherited from VAABase.emitterChain

### guardianSet

guardianSet: number

Inherited from VAABase.guardianSet

### `Readonly` hash

hash: Uint8Array

- Defined in core/definitions/dist/esm/vaa/vaa.d.ts:134

### nonce

nonce: number

Inherited from VAABase.nonce

### `Readonly` payload

payload: Payload<PL>

- Defined in core/definitions/dist/esm/vaa/vaa.d.ts:133

### `Readonly` payloadLiteral

payloadLiteral: PL

- Defined in core/definitions/dist/esm/vaa/vaa.d.ts:132

### `Readonly` payloadName

payloadName: DecomposeLiteral<PL>[1]

- Defined in core/definitions/dist/esm/vaa/vaa.d.ts:131

### `Readonly` protocolName

protocolName: DecomposeLiteral<PL>[0]

- Defined in core/definitions/dist/esm/vaa/vaa.d.ts:130

### sequence

sequence: bigint

Inherited from VAABase.sequence

### signatures

signatures: readonly {
guardianIndex: number;
signature: Signature;
}[]

Inherited from VAABase.signatures

### timestamp

timestamp: number

Inherited from VAABase.timestamp

Generated using TypeDoc